DeprecationWarning: the sets module is deprecated

Reported by Thomas Mashos on 2009-03-05
22
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MySQLdb
New
Undecided
Unassigned

Bug Description

Ubuntu 9.04 Jaunty upgrades Python to 2.6. This causes MythNetTV to produce the following warning. I would assume other programs that use MySQLdb to have the same warning.

/var/lib/python-support/python2.6/MySQLdb/__init__.py:34: DeprecationWarning: the sets module is deprecated
  from sets import ImmutableSet

Thomas Mashos (tgm4883) on 2009-03-05
description: updated
Andy Dustman (farcepest) wrote :

Known issue, fixed in 1.2.3b1. 1.2.3b2 will be out in a few days. 1.2.3 final will be released around the end of March.

Yonas (yonas-y) wrote :

Andy,

Thanks for fixing the package! It doesn't seem to be updated in the repo yet. Any problems?

Regards,
Yonas

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers